#!/bin/bash
#


echo "Argument 0 is: $0"
echo "Argument 1 is: $1"
echo "Argument 2 is: [$2]"

searchKey='TSP143|TSP100'

queueName=$(lpstat -v|awk "/${searchKey}/"' {sub(":$","",$3);print $3}')

printerDescription=$(lpstat -l -p ${queueName}|awk '/^[ \t]*Description:/ {s=$0;sub("^[ \t]*" $1 " ","",s);print s}')

printerApp=~/Library/Printers/${printerDescription}.app

#printerQueueName=~/Library/Printers/DNP\ DS40.app
#printerName="Dai_Nippon_Printing_DS40"

EXITSTATUS=0


#this will open item in appropriate app - ie if image file - opens preview.app
#open "$1"

open "${printerApp}"

lp -d "${queueName}" "$1"
#lp -o orientation-requested=6 -d "${queueName}" "$1"



EXITSTATUS=$?

if [ $EXITSTATUS != 0 ]
then
	echo "ExitStatus failed??"
else
	echo "ExitStatus PASSED!"
fi 


exit $EXITSTATUS

